### Method

# FwupdPlugin Device activate

#### Declaration [src]

    gboolean
    fu_device_activate (
      FuDevice* self,
      FuProgress* progress,
      GError** error
    )

#### Description [src]

Activates up a device, which normally means the device switches to a new firmware version. This should only be called when data loss cannot occur.

Available since: | 1.2.6

#### Parameters

`progress` | `FuProgress`
| A `FuProgress`.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| `TRUE` for success.